商品画像取得
GET
/product_images/{product_image_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_images/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/product_images/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'商品画像情報を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_image_id
required
string format: uuid
商品画像ID
Responses
Section titled “Responses”取得成功
Media typeapplication/json
ProductImageResponse
object
id
商品画像ID
string format: uuid
url
画像URL
完全なURLを推奨します。ただし現行システムからの移行データではファイル名(相対パス)が格納・返却される場合があるため、URL形式の検証は行わず素の文字列として扱います。
string
alt
代替テキスト
string
Examples
Exampledefault
{ "id": "33333333-3333-3333-3333-333333333333", "url": "https://example.com/images/product01.jpg", "alt": "商品画像01"}指定されたIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定されたIDのリソースが見つかりません", "status": 404}